<template>
  <div id="show-info-page">
    <ShowShopDetails :shopDetails="shopDetails" :shopMiniDetails="shopMiniDetails" />
  </div>
</template>
<script>
import ShowShopDetails from "./ShowShopDetails.vue";
import API from "@/API.js";
export default {
  name: "ShopDetailsPage",
  components: {
    ShowShopDetails
  },
  props: {},

  data() {
    return {
      searchedShop: this.$route.params.searchedShop,
      shopDetails: null
    };
  },
  async mounted() {
    this.shopDetails = await API.loadShopDetails(this.searchedShop);
  },

  methods: {}
};
</script>
<style scoped>
#product_details {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
.go-to-pannel-button {
  margin-top: 5%;
}
</style>
